summaryrefslogtreecommitdiff
path: root/standalone
diff options
context:
space:
mode:
Diffstat (limited to 'standalone')
-rwxr-xr-xstandalone/windows/build.sh7
-rw-r--r--standalone/windows/ssh-keygen.cmd31
-rw-r--r--standalone/windows/ssh.cmd31
3 files changed, 5 insertions, 64 deletions
diff --git a/standalone/windows/build.sh b/standalone/windows/build.sh
index 8c26874b2..86b28847c 100755
--- a/standalone/windows/build.sh
+++ b/standalone/windows/build.sh
@@ -63,8 +63,11 @@ cabal install nsis
ghc -fforce-recomp --make Build/NullSoftInstaller.hs -fno-warn-tabs
# Want to include cygwin programs in bundle, not others, since
# it includes the cygwin libs that go with them.
-# Currently need an older version of rsync than the one from cygwin.
-if [ ! -e rsync.exe ]; then
+# Currently need an different version of rsync than the one from cygwin.
+# This rsync build originally comes from https://msys2.github.io/,
+# and it works with the ssh bundled with git for windows.
+if [ ! -e rsync.exe ] || [ "$(sha1sum rsync.exe)" != "85cb7a4d16d274fcf8069b39042965ad26abd6aa" ]; then
+ rm -f rsync.exe || true
withcyg wget https://downloads.kitenet.net/git-annex/windows/assets/rsync.exe
withcyg chmod +x rsync.exe
fi
diff --git a/standalone/windows/ssh-keygen.cmd b/standalone/windows/ssh-keygen.cmd
deleted file mode 100644
index 3afd28f47..000000000
--- a/standalone/windows/ssh-keygen.cmd
+++ /dev/null
@@ -1,31 +0,0 @@
-@rem Do not use "echo off" to not affect any child calls.
-
-@rem Enable extensions, the `verify other 2>nul` is a trick from the setlocal help
-@verify other 2>nul
-@setlocal enableDelayedExpansion
-@if errorlevel 1 (
- @echo Unable to enable delayed expansion. Immediate expansion will be used.
- @goto fallback
-)
-
-@rem Get the absolute path to the parent directory, which is assumed to be the
-@rem Git installation root.
-@for /F "delims=" %%I in ("%~dp0..") do @set git_install_root=%%~fI
-@set PATH=!git_install_root!\bin;!git_install_root!\usr\bin;!git_install_root!\mingw\bin;!PATH!
-
-ssh-keygen %*
-@goto end
-
-:fallback
-@rem The above script again with immediate expansion, in case delayed expansion
-@rem is unavailable.
-@for /F "delims=" %%I in ("%~dp0..") do @set git_install_root=%%~fI
-@set PATH=%git_install_root%\bin;%git_install_root%\usr\bin;%git_install_root%\mingw\bin;%PATH%
-
-@if not exist "%HOME%" @set HOME=%HOMEDRIVE%%HOMEPATH%
-@if not exist "%HOME%" @set HOME=%USERPROFILE%
-
-ssh-keygen %*
-
-:end
-@rem End of script
diff --git a/standalone/windows/ssh.cmd b/standalone/windows/ssh.cmd
deleted file mode 100644
index ad9b5c300..000000000
--- a/standalone/windows/ssh.cmd
+++ /dev/null
@@ -1,31 +0,0 @@
-@rem Do not use "echo off" to not affect any child calls.
-
-@rem Enable extensions, the `verify other 2>nul` is a trick from the setlocal help
-@verify other 2>nul
-@setlocal enableDelayedExpansion
-@if errorlevel 1 (
- @echo Unable to enable delayed expansion. Immediate expansion will be used.
- @goto fallback
-)
-
-@rem Get the absolute path to the parent directory, which is assumed to be the
-@rem Git installation root.
-@for /F "delims=" %%I in ("%~dp0..") do @set git_install_root=%%~fI
-@set PATH=!git_install_root!\bin;!git_install_root!\usr\bin;!git_install_root!\mingw\bin;!PATH!
-
-ssh %*
-@goto end
-
-:fallback
-@rem The above script again with immediate expansion, in case delayed expansion
-@rem is unavailable.
-@for /F "delims=" %%I in ("%~dp0..") do @set git_install_root=%%~fI
-@set PATH=%git_install_root%\bin;%git_install_root%\usr\bin;%git_install_root%\mingw\bin;%PATH%
-
-@if not exist "%HOME%" @set HOME=%HOMEDRIVE%%HOMEPATH%
-@if not exist "%HOME%" @set HOME=%USERPROFILE%
-
-ssh %*
-
-:end
-@rem End of script